package com.platform.service;

import com.platform.entities.VolumeDataEntity;

public interface IVolumeService {
	
	/** 查询所有 volume 包括 其目录（返回字符串）
	 * @return
	 * @throws Exception
	 */
	public String getAllvolume() throws Exception;
	
	/** 新增 volume
	 * @param entity
	 * @return
	 * @throws Exception
	 */
	public int save(VolumeDataEntity entity) throws Exception;
	
	/** 删除 volume
	 * @param entity
	 * @return
	 * @throws Exception
	 */
	public int delete(VolumeDataEntity entity) throws Exception;
	
	/** 启动volume
	 * @param entity
	 * @return
	 * @throws Exception
	 */
	public int start(VolumeDataEntity entity) throws Exception;
	
	/** 停止 volume
	 * @param entity
	 * @return
	 * @throws Exception
	 */
	public int stop(VolumeDataEntity entity) throws Exception;

}
